libnvme(2)

NAME
enum nvme_io_control_flags - I/O control flags

SYNOPSIS
enum nvme_io_control_flags {
NVME_IO_DTYPE_STREAMS ,
NVME_IO_NSZ ,
NVME_IO_STC ,
NVME_IO_DEAC ,
NVME_IO_ZNS_APPEND_PIREMAP ,
NVME_IO_PRINFO_PRCHK_REF ,
NVME_IO_PRINFO_PRCHK_APP ,
NVME_IO_PRINFO_PRCHK_GUARD ,
NVME_IO_PRINFO_PRACT ,
NVME_IO_FUA ,
NVME_IO_LR

};

Constants

NVME_IO_DTYPE_STREAMS
    Directive Type Streams

NVME_IO_NSZ
    Namespace Zeroes

NVME_IO_STC
    Storage Tag Check

NVME_IO_DEAC
    Deallocate

NVME_IO_ZNS_APPEND_PIREMAP
    Protection Information Remap

NVME_IO_PRINFO_PRCHK_REF
    Protection Information Check Reference Tag

NVME_IO_PRINFO_PRCHK_APP
    Protection Information Check Application Tag

NVME_IO_PRINFO_PRCHK_GUARD
    Protection Information Check Guard field

NVME_IO_PRINFO_PRACT
    Protection Information Action

NVME_IO_FUA
    Force Unit Access

NVME_IO_LR
    Limited Retry